> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive an invitation

> Another tenant's signed invitation. Stored as waiting for this tenant's
admins; nothing else is created.



## OpenAPI

````yaml post /api/data-shares/inbox
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data-shares/inbox:
    post:
      tags:
        - Data shares
      summary: Receive an invitation
      description: |-
        Another tenant's signed invitation. Stored as waiting for this tenant's
        admins; nothing else is created.
      operationId: inbox_api_data_shares_inbox_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignedMessage'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InboxReceipt'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Too Many Requests
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SignedMessage:
      properties:
        payload:
          additionalProperties: true
          type: object
          title: Payload
        signature:
          type: string
          maxLength: 200
          title: Signature
      type: object
      required:
        - payload
        - signature
      title: SignedMessage
    InboxReceipt:
      properties:
        incoming_id:
          type: string
          title: Incoming Id
        status:
          type: string
          title: Status
      type: object
      required:
        - incoming_id
        - status
      title: InboxReceipt
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.